using System.ComponentModel;

namespace RB_MES_API.Models.Pangu
{
    /// <summary>
    /// 工单推送
    /// </summary>
    public class WPLAN
    {
        [DisplayName("ERP工单编码")]
        public string ERP_MO { get; set; }
        [DisplayName("成品编码")]
        public string PROD_ID { get; set; }
        [DisplayName("ERP工单行号")]
        public string MO_SEQ { get; set; }
        [DisplayName("计划数量")]
        public string P_QTY { get; set; }
        [DisplayName("计划开始时间")]
        public string PB_DATE { get; set; }
        [DisplayName("计划结束时间")]
        public string PE_DATE { get; set; }
        [DisplayName("工厂编码")]
        public string FACT_ID { get; set; }
        [DisplayName("是否IMS工单")]
        public string IS_IMS_MO { get; set; }
        [DisplayName("供应商编号")]
        public string SUP_ID { get; set; }
        [DisplayName("销售订单号")]
        public string SO_ID { get; set; }
        [DisplayName("销售订单行号")]
        public string SO_SEQ { get; set; }
        [DisplayName("客户编码")]
        public string CUST_ID { get; set; }
        [DisplayName("是否外协工单")]
        public string IS_OUTS { get; set; }
        [DisplayName("车间编码")]
        public string DEPT_ID { get; set; }
        [DisplayName("工单类型")]
        //public string ERP_MO_LINE { get; set; }
        //[DisplayName("工单行号")]
        public string MO_TYPE { get; set; }
        [DisplayName("BOM版本号")]
        public string BOM_VER { get; set; }
        [DisplayName("BOM层次")]
        public string BOM_LEVEL { get; set; }
        [DisplayName("备注")]
        public string REMARK { get; set; }
    }
}
